/**
 * Simulation of memory management algorithms
 *
 * Ron Mak
 * Department of Computer Engineering
 * San Jose State University
 */
#ifndef SYNCHRONIZE_H_
#define SYNCHRONIZE_H_

#include <semaphore.h>
#include <pthread.h>
#include "globals.h"

using namespace std;

// Semaphore functions
void REMOVE(const char *name);
sem_t *CREATE(Semaphore *semaphore, char *name, int value);
sem_t *OPEN(Semaphore *semaphore, char *name);
void WAIT(Semaphore *semaphore);
void SIGNAL(Semaphore *semaphore);

#endif /* SYNCHRONIZE_H_ */
