/**
 * Simulation of memory management algorithms
 *
 * Ron Mak
 * Department of Computer Engineering
 * San Jose State University
 */
#ifndef BESTFIT_H_
#define BESTFIT_H_

#include "AllocationAlgorithm.h"

class BestFit: public AllocationAlgorithm
{
public:
    BestFit(string name) : AllocationAlgorithm(name) {}
    virtual ~BestFit() {}

    virtual bool find_hole(const string id, const int size);
};

#endif /* BESTFIT_H_ */
